import type React from 'react';
type ActionCheck = (x0: React.KeyboardEvent<HTMLElement>) => boolean;
interface KeyboardActionMatcher<Actions> {
    type: Actions;
    check: (x0: React.KeyboardEvent<HTMLElement>) => boolean;
}
export declare class KeyboardActionExctracterBuilder<T> {
    private _actionMatchers;
    constructor(actionMatchers?: Array<KeyboardActionMatcher<T>>);
    add<T>(type: T, check: ActionCheck): KeyboardActionExctracterBuilder<T>;
    build<P = T>(defaultAction: P): (x0: React.KeyboardEvent<HTMLElement>) => T;
}
export {};
